import request from '@/utils/request'

// 查询企业列表
export function companyList(params) {
    return request({
        url: '/system/company/companyList',
        method: 'get',
        params: params,
    })
}

// 新增企业信息
export function addCompany(data) {
    return request({
        url: '/system/company/addCompany',
        method: 'post',
        data: data,
    })
}

// 删除企业
export function deleteCompany(data) {
    return request({
        url: '/system/company/deleteCompany',
        method: 'post',
        data: data,
    })
}

// 企业更新
export function updateCompany(data) {
    return request({
        url: '/system/company/updateCompany',
        method: 'post',
        data: data
    })
}


// 查询企业部门列表
export function departmentList(params) {
    return request({
        url: '/system/company/departmentList',
        method: 'get',
        params: params,
    })
}


// 新增企业部门
export function addDepartment(data) {
    return request({
        url: '/system/department/addDepartment',
        method: 'post',
        data: data,
    })
}

// 删除企业部门
export function deleteDepartment(data) {
    return request({
        url: '/system/department/deleteDepartment',
        method: 'post',
        data: data,
    })
}

// 更新企业部门
export function updateDepartment(data) {
    return request({
        url: '/system/department/updateDepartment',
        method: 'post',
        data: data,
    })
}


// 查询企业证书列表
export function certificateList(params) {
    return request({
        url: '/system/certificate/certificateList',
        method: 'get',
        params: params,
    })
}


// 企业证书新增
export function addCertificate(data) {
    return request({
        url: '/system/certificate/addCertificate',
        method: 'post',
        data: data,
    })
}

// 企业证书删除接口
export function deleteCertificate(data) {
    return request({
        url: '/system/certificate/deleteCertificate',
        method: 'post',
        data: data,
    })
}

// 更新企业证书信息
export function updateCertificate(data) {
    return request({
        url: '/system/certificate/updateCertificate',
        method: 'post',
        data: data,
    })
}


// 企业证书文档导入
export function importCertificateList(data) {
    return request({
        url: '/system/certificate/importCertificateList',
        method: 'post',
        data: data,
    })
}
